<div class="plc  ">
    <div class="plc-menu">
        {{config.statement}}
    </div>
    <div class="device-status-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut,'transform-select':bodyConfig.animateSelect}">
        <div class="plc-content device-statement-heading">
            <div class="row ">
                <div class="col-sm-12">
                    <div class="public-horizon-form ">
                        <div class="public-horizon">
                            <label class="horizon-label label-4">生产区域：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                                    <input ng-init="focusInput=false" ng-focus="focusInput=true"  ng-blur="focusInput=false"
                                           type="text" value="" placeholder="搜索" class="form-control ad-left-child" ng-disabled="true"
                                           ng-model="statementConfig.currentWorkCenterDesc" ng-change="disableBtn()" ng-keyup="upModel('workArea')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toAreaHelp()" ng-if="config.showSelectArea"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('area')" ng-if="!config.showSelectArea"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red" ng-if="config.showLine">*</span>拉线：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                    <input ng-init="lineInput=false" ng-focus="lineInput=true"
                                           ng-keyup="upModel('workLine')" ng-disabled="true"
                                           ng-blur="lineInput=false" type="text" value="" placeholder="搜索"
                                           class="form-control ad-left-child" ng-model="statementConfig.currentLineDesc"
                                           ng-change="lineChanged('S')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()"
                                       ng-if="config.showSelectLine"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')"
                                       ng-if="!config.showSelectLine"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4">设备类型：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceTypeInput)}">
                                    <input ng-init="deviceTypeInput=false" ng-focus="deviceTypeInput=true"
                                           ng-keyup="upModel('deviceCode')" ng-disabled="true"
                                           ng-blur="deviceTypeInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.currentDeviceTypeDesc" ng-change="deviceTypeChanged('T')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceTypeHelp()"
                                       ng-if="config.deviceType"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceType')" ng-if="!config.deviceType"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red"
                                                                       ng-if="config.showDevice">*</span>设备：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                                    <input ng-init="deviceInput=false" ng-focus="deviceInput=true"
                                           ng-keyup="upModel()" ng-disabled="false"
                                           ng-blur="deviceInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.currentDeviceNum" ng-change="disableBtn()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceHelp()"
                                       ng-if="config.deviceCode"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceCode')" ng-if="!config.deviceCode"></i>
                                </div>
                            </div>
                        </div>
                        <div class="public-horizon">
                            <label class="horizon-label label-4"><span class="text-red">*</span>开始时间：</label>
                            <div class="horizon-group horizon-col-3">
                                <input type="text" value="" id="reportStartDate"
                                       class="form-control"
                                       ng-model="statementConfig.startDate"
                                       ng-change="dateChanged('S')"
                                       ng-init="initDateTimePicker('#reportStartDate', {},'Y-m-d H:i',true,true);"/>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red">*</span>结束时间：</label>
                            <div class="horizon-group horizon-col-3">
                                <input type="text" value="" id="reportEndDate"
                                       class="form-control"
                                       ng-model="statementConfig.endDate"
                                       ng-change="dateChanged('S')"
                                       ng-init="initDateTimePicker('#reportEndDate', {},'Y-m-d H:i',true,true);"/>
                            </div>
                            <label class="horizon-label label-4">班次：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select class="andon-content-ui-select" ng-model="statementConfig.currentShift">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="statementConfig.currentShift.description || statementConfig.currentShift.shift"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">
                                            <span ng-if="!statementConfig.currentWorkCenter.workCenter"
                                                  class="no-action-color">请先选择生产区域</span>
                                            <span ng-if="!!statementConfig.currentShift.shift" class="no-data-color">暂无班次</span>
                                        </a>
                                    </ui-select-no-choice>
                                    <ui-select-choices
                                            repeat="item in (statementConfig.shiftsChange) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>

                            <div class="horizon-group horizon-col-3" style="margin-left: 15px">
                                <ui-select ng-placeholder="请输入"
                                           ng-model="config.currentThemeGrid"
                                           ng-change="loadOtherReport()">
                                    <ui-select-match placeholder="{{config.currentThemeGrid.name}}">
                                        <span ng-bind="config.currentThemeGrid.name"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">
                                            <!--no-data-color no-action-color-->
                                            <span class="no-data-color">暂无选项</span>
                                        </a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.themeGrid) track by $index">
                                        <span ng-bind-html="item.name | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                            <div class=" label-4 ">
                                <button ng-click="queryDatas();" class="btn btn-primary">查询
                                </button>
                            </div>
                            <!--<label class="horizon-label label-4"></label>-->
                        </div>
                        <div class="public-horizon" ng-if="config.currentThemeGrid.id == 'A'">
                            <label class="horizon-label label-4">报警备注：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                                    <input ng-init="focusInput=false" ng-focus="focusInput=true"  ng-blur="focusInput=false"
                                           type="text" value="" placeholder="搜索" class="form-control ad-left-child" ng-disabled="true"
                                           ng-model="statementConfig.alarmRemarkCommentDesc" ng-change="disableBtn()" ng-keyup="upModel('alarmRemark')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toChooseAlarmRemark()" ng-if="config.showSelectAlarm"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('alarmRemark')" ng-if="!config.showSelectAlarm"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <move-template></move-template>
    <div class="plc-content device-statement-content">
        <form class="form-horizontal" role="form">
            <div class="row statement-title">
                <div class="col-sm-2 col-xs-2" ng-switch="config.currentThemeGrid.id">
                    <label class="control-label label-title" ng-switch-when="O">总记录数：{{config.outputCount}}</label>
                    <label class="control-label label-title" ng-switch-when="H">总记录数：{{config.reasonCodeCount}}</label>
                    <label class="control-label label-title" ng-switch-when="A">总记录数：{{config.alertCount}}</label>
                    <label class="control-label label-title" ng-switch-when="S">总记录数：{{config.itemCount}}</label>
                    <label class="control-label label-title"
                           ng-switch-when="R">总记录数：{{config.rtReasonCodeCount}}</label>
                    <label class="control-label label-title" ng-switch-default>总记录数：{{config.itemCount}}</label>
                </div>
                <div class="col-sm-3 col-xs-3">
                    <label class="control-label label-title">总停机次数：{{config.totalHalt}}</label>
                </div>
                <div class="col-sm-3 col-xs-3">
                    <label class="control-label label-title">最大停机时长：{{config.totalTime}}</label>
                </div>
                <div class="col-sm-2 col-xs-2 px-public-hide-div">
                    <div ng-click="showHideCol()" class="px-public-hide-inline">
                        <i class="fa fa-cog"></i>
                        <div class="px-public-hide-col">显示隐藏列
                        </div>
                    </div>
                </div>
                <div class="statement-save-btn pull-right">
                    <button type="button" class="btn btn-primary"
                            ng-click="downLoad();">导出
                    </button>
                </div>
            </div>
        </form>
        <div class="row">
            <div class="col-sm-12">
                <div ng-switch="config.currentThemeGrid.id">
                    <!--设备状态-->
                    <div ng-switch-default>
                        <div ui-grid="gridDeviceStatusStatement"  ng-style="getHeight()"
                             ui-grid-edit ui-grid-cellnav ui-grid-resize-columns
                             ui-grid-pagination ui-grid-validate ui-grid-auto-resize
                        ></div>
                    </div>
                    <div ng-switch-when="S">
                        <div ui-grid="gridDeviceStatusStatement" ng-style="getHeight()"
                             ui-grid-edit ui-grid-cellnav ui-grid-resize-columns
                             ui-grid-pagination ui-grid-validate ui-grid-auto-resize
                        ></div>
                    </div>
                    <!--设备报警信息-->
                    <div ng-switch-when="A">
                        <div ui-grid="gridDeviceAlertStatement" ng-style="getHeight()"
                             ui-grid-edit ui-grid-cellnav ui-grid-resize-columns
                             ui-grid-pagination ui-grid-validate ui-grid-auto-resize
                        ></div>
                    </div>
                    <!--设备停机原因-->
                    <div ng-switch-when="H">
                        <div ui-grid="gridDeviceHaltStatement" ng-style="getHeight()"
                             ui-grid-edit ui-grid-cellnav ui-grid-resize-columns
                             ui-grid-pagination ui-grid-validate ui-grid-auto-resize
                        ></div>
                    </div>
                    <!--实时产量-->
                    <div ng-switch-when="O">
                        <div ui-grid="gridOutputStatement" ng-style="getHeight()"
                             ui-grid-edit ui-grid-cellnav ui-grid-resize-columns
                             ui-grid-pagination ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns></div>
                    </div>
                    <!--设备实时停机原因-->
                    <div ng-switch-when="R">
                        <div ui-grid="gridDeviceRtReasonCodeStatement" ng-style="getHeight()"
                             ui-grid-edit ui-grid-cellnav ui-grid-resize-columns
                             ui-grid-pagination ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>